<?php
/*
Plugin Name: Event Banner
Plugin URI: http://denovembre.com/
Description: Changable event banner for special days or special events
Author: Yudhi Jatnika (denovembre)
Version: 1.3
Author URI: http://www.denovembre.com
*/

define(EB_PLUGIN, WP_PLUGIN_URL.'/free-event-banner/');

include('services.php');

function event_banner_admin_menu(){
	add_menu_page('Event Banner', 'Event Banner', 'manage_options', 'free_event_banner', 'admin_settings');
  add_submenu_page( 'free_event_banner', 'Settings', 'Settings', 'manage_options', 'free_event_banner', 'admin_settings');
  add_submenu_page( 'free_event_banner', 'Events', 'Events', 'manage_options', 'events', 'admin_events');
  add_submenu_page( 'free_event_banner', 'Link Referer', 'Link Referer', 'manage_options', 'link_referer', 'admin_link_referer');
}

function admin_settings(){
	include('views/admin_settings.php');
}

function admin_events(){
  include('lib/calendar.php');
  $calendar = new calendar();
	include('views/admin_events.php');
}

function admin_link_referer(){
	include('views/admin_link_referer.php');
}

function event_banner_loader() {
  wp_enqueue_style( 'ebstylesheet', EB_PLUGIN . 'css/event_banner_style.css');
  wp_enqueue_script( 'event_banner_admin_js', EB_PLUGIN . 'js/event_banner_admin.js', array( 'jquery' ) );
}

function event_banner_view() {
  global $wpdb;
  //date_default_timezone_set('Asia/Jakarta');
  //$yesterday = date('d/m/y', mktime(0, 0, 0, date("m") , date("d") - 1, date("Y")));
  $cur_date = date('m-j');
  $cur_referer = $_SERVER['HTTP_REFERER'];
  
  $default_event = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."event_banner WHERE name = 'default'");
  $event = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."event_banner WHERE date = '".$cur_date."' AND status = '1'");
  $referer = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."event_banner WHERE link_referer = '".$cur_referer."' AND status = '1'");
  
  $style = '<style type="text/css">'."\n";
  $style .= '  .event_banner{'."\n";
  
  $bg_apply = '    background: url(\''.get_bloginfo('wpurl').'/wp-content/uploads/event_banner/'.$default_event->img_src.'\') center !important;'."\n";
  
  if(!empty($event)){
    $bg_apply = '    background: url(\''.get_bloginfo('wpurl').'/wp-content/uploads/event_banner/'.$event->img_src.'\') center !important;'."\n";
  }
  
  if(!empty($referer)){
    $bg_apply = '    background: url(\''.get_bloginfo('wpurl').'/wp-content/uploads/event_banner/'.$referer->img_src.'\') center !important;'."\n";
  }
  
  $style .= $bg_apply;
  
  $style .= '  }';
  $style .= '</style>';
  
  echo $style;
}

function install(){
  global $wpdb;
  $table_exists = $wpdb->query("SHOW TABLES LIKE '".$wpdb->prefix."event_banner'");
  if($table_exists){
    $sql = 'ALTER TABLE `'.$wpdb->prefix.'event_banner` ADD `link_referer` VARCHAR( 250 ) NOT NULL AFTER `date`;';
    $sql .= 'ALTER TABLE `'.$wpdb->prefix.'event_banner` ADD `status` INT( 1 ) NOT NULL DEFAULT "1";';
  }else{
    $sql = 'CREATE TABLE `'.$wpdb->prefix.'event_banner` (';
    $sql .= '`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,';
    $sql .= '`name` VARCHAR( 50 ) NOT NULL ,';
    $sql .= '`date` VARCHAR(5) NOT NULL,';
    $sql .= '`link_referer` VARCHAR( 250 ) NOT NULL ,';
    $sql .= '`description` VARCHAR( 250 ) NOT NULL ,';
    $sql .= '`img_src` VARCHAR( 250 ) NOT NULL ,';
    $sql .= '`status` INT( 1 ) NOT NULL';
    $sql .= ') ENGINE = MYISAM ';
  }
  $wpdb->query($sql);
}

function uninstall(){
  global $wpdb;
  $sql = 'DROP TABLE `'.$wpdb->prefix.'event_banner` ';
  $wpdb->query($sql);
}

register_activation_hook(__FILE__, 'install');
register_deactivation_hook(__FILE__, 'uninstall');

function js_inject_code(){
  $js_inline  = '<script type="text/javascript">'."\n";
  $js_inline .= '//<![CDATA['."\n";
  $js_inline .= ' var base_url = "'.get_bloginfo('wpurl').'";'."\n";
  $js_inline .= '//]]>'."\n";
  $js_inline .= '</script>'."\n";
  
  echo $js_inline;
}

add_action('wp_print_scripts', 'js_inject_code');
add_action('admin_init', 'event_banner_loader');
add_action('wp_head', 'event_banner_view');
add_action('admin_menu', 'event_banner_admin_menu');
?>
